BCMP(P)

NAME
bcmp - memory operations (LEGACY)

SYNOPSIS

#include <strings.h>

int bcmp(const void *s1, const void *s2, size_t n);

DESCRIPTION

The bcmp() function shall compare the first n bytes of the area pointed to by s1 with the area pointed to by s2.

RETURN VALUE

The bcmp() function shall return 0 if s1 and s2 are identical; otherwise, it shall return non-zero. Both areas are assumed to be n bytes long. If the value of n is 0, bcmp() shall return 0.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The memcmp() function is preferred over this function.

For maximum portability, it is recommended to replace the function call to bcmp() as follows:

    #define bcmp(b1,b2,len) memcmp((b1), (b2), (size_t)(len))

RATIONALE

None.

FUTURE DIRECTIONS

This function may be withdrawn in a future version.

SEE ALSO

memcmp() , the Base Definitions volume of IEEE Std 1003.1-2001, <strings.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .